#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/wdt.h>
#include <util/delay.h>

#define bit_set(port,bit)       { port |= (1<<(bit));}
#define bit_clear(port,bit)     { port &= ~(1<<(bit));}
#define min(a,b)                ((a)<(b) ? (a):(b))

#define nop()   __asm__ volatile ("nop" )
#define wdr()   __asm__ volatile("wdr" )
#define sleep()   __asm__ volatile("sleep" )

uint8_t t_sft1(uint8_t a) {
	return (a >> 4);
}

uint8_t t_sft2(uint8_t a) {
	return (a & 0xf);
}

void t_sft3(uint16_t a, char *r) {
	int8_t i;
	while (a) {
		*r++ = (a & 0xf) + 0x30;
		a = a >> 4;
	}
	*r = 0;
}
